Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class TapestryAppInitializer

    java.lang.Object
      org.apache.tapestry5.internal.TapestryAppInitializer

    public class TapestryAppInitializer

extends java.lang.Object

This class is used to build the `Registry`. The Registry contains `TapestryIOCModule` and `TapestryModule`, any modules identified by `addModules(Class[])` )}, plus the application module.

The application module is optional.

The application module is identified as package.services.appNameModule, where package and the appName are specified by the caller.

Constructor Summary
`TapestryAppInitializer(org.slf4j.Logger logger, java.lang.String appPackage, java.lang.String appName)`
`TapestryAppInitializer(org.slf4j.Logger logger, java.lang.String appPackage, java.lang.String appName, java.lang.String aliasMode)` Deprecated. Use `TapestryAppInitializer(Logger, String, String)` instead. To be removed in 5.4.
`TapestryAppInitializer(org.slf4j.Logger logger, SymbolProvider appProvider, java.lang.String appName, java.lang.String executionModes)`
`TapestryAppInitializer(org.slf4j.Logger logger, SymbolProvider appProvider, java.lang.String appName, java.lang.String aliasMode, java.lang.String executionModes)` Deprecated. Use `TapestryAppInitializer(Logger, SymbolProvider, String, String)` instead. To be removed in 5.4.

Method Summary
`void` | `addModules(java.lang.Class... moduleClasses)`
`void` | `addModules(ModuleDef... moduleDefs)` Adds additional modules.
`void` | `announceStartup()`
`Registry` | `createRegistry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapestryAppInitializer

    public TapestryAppInitializer(org.slf4j.Logger logger,
                                  java.lang.String appPackage,
                                  java.lang.String appName,
                                  java.lang.String aliasMode)

  Deprecated. Use `TapestryAppInitializer(Logger, String, String)` instead. To be removed in 5.4.

  Parameters:
    `logger` - logger for output confirmation
    `appPackage` - root package name to search for pages and components
    `appName` - the name of the application (i.e., the name of the application servlet)
    `aliasMode` - ignored (was used in 5.2)

### TapestryAppInitializer

    public TapestryAppInitializer(org.slf4j.Logger logger,
                                  java.lang.String appPackage,
                                  java.lang.String appName)

Parameters:
  `logger` - logger for output confirmation
  `appPackage` - root package name to search for pages and components
  `appName` - the name of the application (i.e., the name of the application servlet)

### TapestryAppInitializer

    public TapestryAppInitializer(org.slf4j.Logger logger,
                                  SymbolProvider appProvider,
                                  java.lang.String appName,
                                  java.lang.String aliasMode,
                                  java.lang.String executionModes)

  Deprecated. Use `TapestryAppInitializer(Logger, SymbolProvider, String, String)` instead. To be removed in 5.4.

  Parameters:
    `logger` - logger for output confirmation
    `appProvider` - provides symbols for the application (normally, from the ServletContext init parameters)
    `appName` - the name of the application (i.e., the name of the application servlet)
    `aliasMode` - ignored (was used in 5.2 and earlier)
    `executionModes` - an optional, comma-separated list of execution modes, each of which is used to find a list of additional module classes to load (key `tapestry.name-modules` in appProvider, i.e., the servlet context)

### TapestryAppInitializer

    public TapestryAppInitializer(org.slf4j.Logger logger,
                                  SymbolProvider appProvider,
                                  java.lang.String appName,
                                  java.lang.String executionModes)

Parameters:
  `logger` - logger for output confirmation
  `appProvider` - provides symbols for the application (normally, from the ServletContext init parameters)
  `appName` - the name of the application (i.e., the name of the application servlet)
  `executionModes` - an optional, comma-separated list of execution modes, each of which is used to find a list of additional module classes to load (key `tapestry.name-modules` in appProvider, i.e., the servlet context)

Method Detail

### addModules

    public void addModules(ModuleDef... moduleDefs)

  Adds additional modules.

  Parameters:
    `moduleDefs` -

### addModules

    public void addModules(java.lang.Class... moduleClasses)

### createRegistry

    public Registry createRegistry()

### announceStartup

    public void announceStartup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.